/* 
Theme Name: Hanita Lenses (Hello Child)
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/**********************/
/* Layout
/**********************/

.section-title:before {
  content: "";
  background-color: #005da8;
  position: absolute;
  left: -50px;
  bottom: 0;
  height: 70px;
  width: 15px;
}

@media screen and (max-width: 1450px) and (min-width: 768px) {
  .section-title:before {
    content: "";
    bottom: -15px;
  }
}

@media screen and (max-width: 450px) {
  .d-xs-none {
    display: none;
  }

  .section-title:before {
    left: -15px;
    height: 25px;
    width: 7px;
  }
}

/**********************/
/* Test Yourself Page
/**********************/

body:not(.elementor-editor-active) section#test-stage-2,
body:not(.elementor-editor-active) section#test-stage-3 {
  display: none;
}

.test-stage-3-option {
  cursor: pointer;
}

#test-stage-3-submit a {
  cursor: pointer;
}

#test-stage-3-submit a.disabled {
  cursor: default;
}

/**********************/
/* Lenses Result Page
/**********************/

.share-button-hover {
  box-shadow: 0 0 25px 0 rgba(0, 0, 0, 0.16) !important;
}

.toggle-container.disabled .single-toggle {
  background-color: #e5e5e5;
  cursor: default;
}

.single-toggle {
    display: inline-block;
    background-color: #FFFFFF;
    cursor: pointer;
    padding: 10px 18px 30px 20px;
    border-radius: 8px;
    margin-right: 5px;
}

.single-toggle {
    font-size: 19px;
    font-weight: 400;
}

.single-toggle input {
    display: none;
}

.single-toggle .toggle-switch-container {
  display: inline-block;
  position: relative;
  top: 12px;
  margin-left: 30px;
  width: 70px;
  height: 35px;
  border-radius: 20px;
  background-color: #dbdbdb;
  color: transparent;
}

.single-toggle .toggle-switch-container span {
  width: 40px;
  height: 40px;
  border-radius: 100%;
  background-color: #5a5a5a;
  display: inline-block;
  position: absolute;
  top: -2px;
  left: 0;
  transition: 0.5s ease left;
  box-shadow: 1px 3px 5px #00000042;
}

.single-toggle input:checked + .toggle-switch-container span {
  background-color: #005ea8;
  left: 30px;
}

.single-toggle input:checked + .toggle-switch-container {
  background-color: #a2c4e0;
}

.single-toggle .toggle-switch-container[data-checked="true"] span {
  background-color: #005ea8;
  left: 30px;
}

.single-toggle .toggle-switch-container[data-checked="true"] {
  background-color: #a2c4e0;
}

.toggle-container.vision-range label.single-toggle:before {
	position: relative;
    top: 7px;
    margin-right: 10px;
}

.toggle-container.vision-range label.single-toggle:nth-child(1):before {
  content: url("./images/result-icon-near.png");
}

.toggle-container.vision-range label.single-toggle:nth-child(2):before {
  content: url("./images/result-icon-intermediate.png");
}

.toggle-container.vision-range label.single-toggle:nth-child(3):before {
  content: url("./images/result-icon-far.png");
}

@media screen and (max-width: 1445px) and (min-width: 768px) {
  .single-toggle .toggle-switch-container {
    margin-left: 10px;
    width: 60px;
  }
}

@media screen and (max-width: 1285px) and (min-width: 768px) {
  .single-toggle {
    padding: 10px 12px 30px 20px;
  }

  .single-toggle .toggle-switch-container {
    height: 30px;
    width: 50px;
  }

  .single-toggle .toggle-switch-container span {
    top: 0;
    width: 30px;
    height: 30px;
  }

  .single-toggle input:checked + .toggle-switch-container span {
    left: 20px;
  }
}

@media screen and (max-width: 768px) {
  .single-toggle {
    width: 100%;
    padding: 15px 18px 23px 20px;
    position: relative;
    margin-bottom: 10px;
  }

  .single-toggle .toggle-switch-container {
    position: absolute;
    right: 20px;
    top: 14px;
  }

  .toggle-container.glasses .single-toggle span {
    padding-right: 10px;
  }

  .toggle-container.glasses .single-toggle .toggle-switch-container {
    top: 20px;
  }
}

/* NEW DESIGN */

.lens-description {
  min-height: 150px;
}

.lens-listing .lens-contact-title {
  opacity: 0;
  transition: 0.3s ease all;
}

.lens-listing:hover .lens-contact-title {
  opacity: 1;
}

@media screen and (max-width: 1450px) and (min-width: 768px) {
  #lenses-vision-range .jet-filter-row:nth-child(1) .jet-checkboxes-list__button {
    padding: 10px 15px 32px 15px;
  }

  #lenses-vision-range .jet-filter-row:nth-child(1) .jet-checkboxes-list__button .toggle-switch-container,
  #lenses-vision-range .jet-filter-row:nth-child(2) .jet-checkboxes-list__button .toggle-switch-container,
  #lenses-vision-range .jet-filter-row:nth-child(3) .jet-checkboxes-list__button .toggle-switch-container {
    margin-left: 15px;
  }

  #lenses-vision-range .jet-filter-row:nth-child(2) .jet-checkboxes-list__button {
    padding: 10px 15px 32px 15px;
  }

  #lenses-vision-range .jet-filter-row:nth-child(3) .jet-checkboxes-list__button {
    padding: 10px 15px 32px 15px;
  }
}

@media screen and (max-width: 1281px) and (min-width: 768px) {
  #lenses-vision-range .jet-filter-row:nth-child(1) .jet-checkboxes-list__button .toggle-switch-container,
  #lenses-vision-range .jet-filter-row:nth-child(2) .jet-checkboxes-list__button .toggle-switch-container,
  #lenses-vision-range .jet-filter-row:nth-child(3) .jet-checkboxes-list__button .toggle-switch-container,
  .jet-checkboxes-list
    .jet-checkboxes-list__item
    .jet-checkboxes-list__input
    + .jet-checkboxes-list__button
    .toggle-switch-container {
    margin-left: 10px;
  }

  .jet-checkboxes-list
    .jet-checkboxes-list__item
    .jet-checkboxes-list__input
    + .jet-checkboxes-list__button
    .toggle-switch-container {
    top: 12px;
    width: 50px;
    height: 25px;
  }

  .jet-checkboxes-list
    .jet-checkboxes-list__item
    .jet-checkboxes-list__input
    + .jet-checkboxes-list__button
    .toggle-switch-container
    span {
    width: 30px;
    height: 30px;
  }
}

@media screen and (max-width: 450px) {

  .jet-checkboxes-list
  .jet-checkboxes-list__item
  .jet-checkboxes-list__input
  + .jet-checkboxes-list__button
  .toggle-switch-container {
    width: 60px;
  }

  #lenses-vision-range .jet-filter-row:nth-child(1) .jet-checkboxes-list__button .toggle-switch-container,
  #lenses-vision-range .jet-filter-row:nth-child(2) .jet-checkboxes-list__button .toggle-switch-container,
  #lenses-vision-range .jet-filter-row:nth-child(3) .jet-checkboxes-list__button .toggle-switch-container {
    height: 30px;
  }

  #lenses-glasses .jet-checkboxes-list__button .toggle-switch-container {
    position: absolute;
    right: 20px;
    top: 25px;
    height: 30px;
  }

  #lenses-vision-range .jet-filter-row .jet-checkboxes-list__button .toggle-switch-container {
    position: absolute;
    top: 20px;
    right: 20px;
  }

  #lenses-vision-range .jet-filter-row .jet-checkboxes-list__button {
    width: 100%;
    padding: 20px;
  }

  #lenses-vision-range .jet-filter-row .jet-checkboxes-list__button {
    padding: 20px !important;
  }

  #lenses-vision-range label.jet-checkboxes-list__item {
    width: 100%;
  }

  .lens-description {
    min-height: 170px;
  }

  .jet-checkboxes-list
  .jet-checkboxes-list__item
  .jet-checkboxes-list__input
  + .jet-checkboxes-list__button
  .toggle-switch-container span {
    width: 30px;
      height: 30px;
      top: 0px;
  }
}

/**********************/
/* Lens Card
/**********************/

.post-type-archive-lenses .elementor[data-elementor-type="jet-listing-items"] .elementor-section-wrap {
  position: relative;
}

.post-type-archive-lenses .lens-listing-share {
  top: 0;
  right: 0;
  position: absolute;
}

.share-links-section {
  display: none;
}

body.elementor-editor-active .share-links-section {
  display: block;
}

.post-type-archive-lenses
  .elementor[data-elementor-type="jet-listing-items"]
  .elementor-section-wrap.open
  .lens-listing-share {
    background-color: #ffffff;
    z-index: 100;
  transition: 0.3s all;
}

.post-type-archive-lenses
  .elementor[data-elementor-type="jet-listing-items"]
  .elementor-section-wrap.open
  .share-links-section {
  display: block;
}

.post-type-archive-lenses
  .elementor[data-elementor-type="jet-listing-items"]
  .elementor-section-wrap.open
  .elementor-button {
    border: none;
  }

.share-icon {
  text-align: center;
  font-size: 44px;
}

.share-icon a i {
    color: #005DA8;
    transition: 0.3s all;
}

.share-icon a:hover i {
  color: #00A3D8;
}

.elementor-section-wrap.open > .elementor-section.lens-overlay {
  height: 0;
  transition: 0.3s all;
}

.elementor-section-wrap.open > .elementor-section.lens-overlay {
  background: rgba(0,0,0,0.6);
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    z-index: 50;
}

body .elementor-nav-menu--dropdown a {
    color: #33373d;
}
body .about-wrap .elementor-image-box-img {
    width: auto !important;
}